# -*- coding: utf-8 -*-
#
# Notifica
# Copyright (C) 2007 GMV SGI Team <http://www.gmv-sgi.es>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
#
# $Id: AppInstall.py 615 2007-11-28 11:40:43Z frms $
#
from Products.CMFCore.utils import getToolByName
from Products.Notifica.Extensions import install_utils

def install(self,out):
    """
    """
    ## Install actions
    portal_form_controller = getToolByName(self, "portal_form_controller")
    portal_form_controller.addFormAction("criterion_save",
                                         "success",
                                         "NotifNewsletter",
                                         "",
                                         "redirect_to",
                                         "string:notifnewsletter_set_text")


    portal_form_controller.addFormAction("criterion_remove",
                                         "success",
                                         "NotifNewsletter",
                                         "",
                                         "redirect_to",
                                         "string:notifnewsletter_set_text")

    portal_form_controller.addFormAction("validate_integrity",
                                         "success",
                                         "NotifNewsletter",
                                         "update",
                                         "redirect_to",
                                         "string:notifnewsletter_set_text")



    print >> out, "Form controllers installed"
    # MetaTypesNotToList
    install_utils.setMetaTypesNotToList(self)