# -*- coding: utf-8 -*-
##
# Notifica
# Copyright (C) 2007 GMV SGI Team <http://www.gmv-sgi.es>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
#
# $Id: permissions.py 615 2007-11-28 11:40:43Z frms $
#
#
from Products.CMFCore.permissions import setDefaultRoles
from Products.Archetypes import listTypes
from config import PROJECTNAME
from content.NotifNewsletter import NotifNewsletter

#permissions
ADD_CONTENT_PERMISSIONS = {}
types = listTypes(PROJECTNAME)
for atype in  types:
    permission = "%s: Add %s" % (PROJECTNAME, atype['portal_type'])
    ADD_CONTENT_PERMISSIONS[atype['portal_type']] = permission

    # Assign default roles
    if(atype['portal_type'] == NotifNewsletter.portal_type):
        setDefaultRoles(permission, ('Manager','Owner'))
    else:
        setDefaultRoles(permission, ('Manager',))

#End permissions.py