## Controller Python Script "Add Subscriber"
##bind container=container
##bind context=context
##bind script=script
##bind subpath=traverse_subpath
##parameters=code
##title= Add Subscriber
from Products.CMFCore.utils import getToolByName


MESSAGE_CODE = [
    "Your e-mail has been added. Thanks for your interest.",
    "Please enter a valid e-mail address.",
    "Your e-mail address is already registered."
    ]

notificaTool=getToolByName(context,'notifica_tool')

valid_email, error_code = notificaTool.addSubscriber(code)

if valid_email == True:
    return state.set(state="success",
                     portal_status_message= MESSAGE_CODE[0])
else:
    return state.set(state="failure",
                     portal_status_message = MESSAGE_CODE[error_code])
