## Controller Python Script "Add Subscriber"
##bind container=container
##bind context=context
##bind script=script
##bind subpath=traverse_subpath
##parameters=subscriber
##title= Add Subscriber
from Products.CMFCore.utils import getToolByName

MESSAGE_CODE = [
    "You must receive a confirmation email. Thanks for your interest.",
    "Please enter a valid e-mail address.",
    "Your e-mail address is already registered."
    ]

notificaTool=getToolByName(context,'notifica_tool')

valid_email,error_code = notificaTool.subscribe(subscriber)

if valid_email == True:
    return state.set(state="success",
                     portal_status_message= MESSAGE_CODE[0])
else:
    return state.set(state="failure",
                     portal_status_message = MESSAGE_CODE[error_code])
